/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 5407 $
 * Last Changed:    $Date: 2010-08-26 09:02:21 -0500 (Thu, 26 Aug 2010) $
 * Last Changed By: $Author: jan.moxter $
 */


package org.efaps.db.print;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Abstract Select Part.
 *
 * @author The eFaps Team
 * @version $Id: AbstractSelectPart.java 5407 2010-08-26 14:02:21Z jan.moxter $
 */
public abstract class AbstractSelectPart
    implements ISelectPart
{
    /**
     * {@inheritDoc}
     */
    @Override
    public void addObject(final ResultSet _rs)
        throws SQLException
    {
        //no objects must be added
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Object getObject()
    {
        return null;
    }
}
